> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove account address for authentication

> Removes the account address associated with the authenticated user.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json delete /api/v1/eoa-accounts/{id}
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/eoa-accounts/{id}:
    delete:
      tags:
        - Account Management
      summary: Remove account address for authentication
      description: Removes the account address associated with the authenticated user.
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
          description: The ID of the externally owned account to be deleted.
      responses:
        '200':
          description: Successfully deleted the EOA account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: clp3j1f9a0000a1cdh6ezx2qv
        '400':
          description: Invalid account ID format.
        '401':
          description: Unauthorized, missing or invalid token.
        '403':
          description: Forbidden. Cannot delete the last EOA account a user has.
        '404':
          description: Couldn't find a belonging EOA account.
        '500':
          description: Internal server error.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````